Namespace
library
Image / Tag
consul:1.2.3
Content Digest
sha256:ea66d17d8c8c1f1afb2138528d62a917093fcd2e3b3a7b216a52c253189ea980
Details
Created

2018-09-14 10:38:44 UTC

Size

25.6 MB

Content Digest
Environment
CONSUL_VERSION

1.2.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0a615535caf92b95d6aefc87792c439acc9382c9f2e6e6c4b3e03cbdb6dbf780 - 8.08% (2.07 MB)

[#001] sha256:31ddaaefef8d71bb2c30e7997b9ecdc5c2ae2fe5d5cc08ab092f712854b3bce9 - 0.0% (176 Bytes)

[#002] sha256:d91c24605eb2ef6c14bf34c346a8072d9b7debfd8c812fa076f43a166ea47724 - 0.0% (1.22 KB)

[#003] sha256:c48be43c657bc7ea18128baceebba21687778666448d89ce629dc85bfae08173 - 91.91% (23.5 MB)

[#004] sha256:b79bdd5b32c06ef0af1fef57111fd8925d8c7d3a8372424c90549225bc6cf67d - 0.0% (143 Bytes)

[#005] sha256:b950483b971e02d94eb777795a9a32c4c49ec793c40ee3525a26e76ee09f5d62 - 0.0% (153 Bytes)

[#006] sha256:aacfab3fdf9139e29ae0c66867919fdacbef3014e5957e90d9c62f2c4d2d0c82 - 0.01% (1.64 KB)


History
2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) ADD file:93897520864ded37d275998a619998bf26766ad41a3f5a9a379830983cd4a34a in /

2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-12 12:08:08 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-09-14 10:38:33 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.3

2018-09-14 10:38:33 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-09-14 10:38:34 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-09-14 10:38:41 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-09-14 10:38:42 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-09-14 10:38:43 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-09-14 10:38:43 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-09-14 10:38:43 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-09-14 10:38:43 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-09-14 10:38:44 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-09-14 10:38:44 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-09-14 10:38:44 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-09-14 10:38:44 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-09-13 17:20:07 UTC

Size

25.9 MB

Content Digest
Environment
CONSUL_VERSION

1.2.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c67f3896b22c1378881cbbb9c9d1edfe881fd07f713371835ef46d93c649684d - 7.76% (2.01 MB)

[#001] sha256:d8a5690d0f0987e00ac80f30e1eed10dd2dac999351cb8f62da657581cbee994 - 0.0% (1.22 KB)

[#002] sha256:ad5f5d8ce6d812b247302f38c9dce4b40d59a5d0bfd4b944b753396c61fc9bfd - 92.23% (23.9 MB)

[#003] sha256:e20fa26dbc4b3c33817144ec087979a3d52fcc01ed269bdc9d9ebc25cba02bb2 - 0.0% (141 Bytes)

[#004] sha256:d8d8bc295167f2da698d62fae39145883b722e2661469c4bd85e5c9749e225c5 - 0.0% (153 Bytes)

[#005] sha256:762829db4d34f003ca43a238e0e0caa139f3001c2dd80af9f8a2c08bdb556555 - 0.01% (1.64 KB)


History
2018-09-11 22:19:38 UTC

/bin/sh -c #(nop) ADD file:49f9e47e678d868d5b023482aa8dded71276a241a665c4f8b55ca77269321b34 in /

2018-09-11 22:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-11 22:44:30 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-09-13 17:19:53 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.3

2018-09-13 17:19:53 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-09-13 17:19:53 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-09-13 17:20:00 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-09-13 17:20:01 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-09-13 17:20:01 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-09-13 17:20:01 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-09-13 17:20:02 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-09-13 17:20:02 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-09-13 17:20:07 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-09-13 17:20:07 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-09-13 17:20:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-09-13 17:20:07 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-09-15 07:55:13 UTC

Size

25.1 MB

Content Digest
Environment
CONSUL_VERSION

1.2.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c2dacc7b3755044bd80e7edb446986de7cfade7636ea19f3b7eb64e8c88bf3fd - 7.79% (1.96 MB)

[#001] sha256:684756a9d4ca4d4de310f5d47bb7c15bd0065aa787da5bab1736082d28281370 - 0.0% (175 Bytes)

[#002] sha256:4133dec1dafc88e6e1ad7ddd68b417bce5a09d44d4af4e58b2dd10705e2f6b26 - 0.0% (1.25 KB)

[#003] sha256:eaf97bbe2fcc2c4bc6ad2a25f76fc9a1c715563bb4e85c1befb787613d9abe3b - 92.19% (23.1 MB)

[#004] sha256:5ae58b441c541e93aac0f7aa6b182cf569aa3774a53544bf996243f3b4fba5af - 0.0% (174 Bytes)

[#005] sha256:615f9a87fca567015f90836509e72de43330882391ca9bb8005f5155c549909e - 0.0% (154 Bytes)

[#006] sha256:75e76f6b1a1e4c22a4ff86555d4fdce821cb61cbef10ce53275f57b28ce0cdab - 0.01% (1.64 KB)


History
2018-09-12 07:49:32 UTC

/bin/sh -c #(nop) ADD file:47756a54e89ec523296aa20963b604f1619f1346f5ef85cd184d29694b45ca41 in /

2018-09-12 07:49:33 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 07:49:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-12 07:52:49 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-09-14 07:53:01 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.3

2018-09-14 07:53:01 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-09-14 07:53:02 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-09-15 07:55:09 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-09-15 07:55:10 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-09-15 07:55:11 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-09-15 07:55:11 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-09-15 07:55:11 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-09-15 07:55:12 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-09-15 07:55:12 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-09-15 07:55:13 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-09-15 07:55:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-09-15 07:55:13 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-09-15 08:53:28 UTC

Size

24.7 MB

Content Digest
Environment
CONSUL_VERSION

1.2.3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f0599ed267cb750a3c0ebeb55004b5a818b7e9a7e8071b49e687d11349556868 - 7.73% (1.91 MB)

[#001] sha256:9e2c71dece06bcd39f8fb81b4fae422241fd8bfca8b0cb16ea4bc4b77c87f4af - 0.0% (176 Bytes)

[#002] sha256:290d7fa66f6b2ac1f72d759efbb07ed012e930bd72416186503bf1449926819c - 0.0% (1.22 KB)

[#003] sha256:b9b9fb3597417dff24ee6ce361e79f62d0914de717dc57755560d622aae1b1a9 - 92.26% (22.8 MB)

[#004] sha256:afb29ccd11c38b5ee7c0f842c8e4252142547f6976b8d6a853418ed6dd0ae8cf - 0.0% (142 Bytes)

[#005] sha256:26026d84a140ac62b577fc3738d1869888eadbca2e77ceece817c81a9698e8b3 - 0.0% (155 Bytes)

[#006] sha256:40029958c4a4e0f65aaf2f8bdfb12e8d99b3523f824f235b144e7997b669e4cd - 0.01% (1.64 KB)


History
2018-09-12 08:41:29 UTC

/bin/sh -c #(nop) ADD file:d7effd9b71d0299a88ead16cb21ff39bd03c51dcd49408147c06b40183157703 in /

2018-09-12 08:41:30 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 08:41:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-15 08:53:02 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-09-15 08:53:03 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.3

2018-09-15 08:53:03 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-09-15 08:53:05 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-09-15 08:53:19 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-09-15 08:53:21 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-09-15 08:53:23 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-09-15 08:53:23 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-09-15 08:53:24 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-09-15 08:53:25 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-09-15 08:53:26 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-09-15 08:53:26 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-09-15 08:53:27 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-09-15 08:53:28 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]